package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yonge.cooleshow.biz.dal.entity.ImGroupMemberAudit;
import com.yonge.cooleshow.biz.dal.queryInfo.ImGroupMemberAuditQueryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * (ImGroupMemberAudit)表数据库访问层
 *
 * @author zx
 * @since 2022-03-22 17:18:51
 */
public interface ImGroupMemberAuditDao extends BaseMapper<ImGroupMemberAudit> {

    int insertBatch(@Param("entities") List<ImGroupMemberAudit> entities);

    ImGroupMemberAudit findOne(Map<String, Object> params);

    List<ImGroupMemberAudit> queryAll(@Param("params") ImGroupMemberAuditQueryInfo queryInfo);

    void batchUpdateAuditStatus(@Param("auditIds") String auditIds, @Param("auditStatus") String auditStatus);

    List<ImGroupMemberAudit> findByIds(@Param("auditIds") String auditIds);

    void delByGroupId(@Param("groupId") String groupId);
}

